# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# This file defines the pings that are recorded by the Glean SDK. They are
# automatically converted to platform-specific code at build time using the
# `glean_parser` PyPI package.

# This file is for Internal FOG Use Only.
# You probably don't want to add pings here. For more information consult:
# https://firefox-source-docs.mozilla.org/toolkit/components/glean/user/new_definitions_file.html

---
$schema: moz://mozilla.org/schemas/glean/pings/2-0-0

dau-reporting:
  description: |
    Minimal ping to measure DAU.
    Sent on the baseline schedule.

    **NOTE**: This ping is deprecated and replaced by the `usage-reporting` ping.
  include_client_id: false
  send_if_empty: true
  bugs:
    - https://bugzilla.mozilla.org/show_bug.cgi?id=1921440
    - https://bugzilla.mozilla.org/show_bug.cgi?id=1929832
  data_reviews:
    - https://bugzilla.mozilla.org/show_bug.cgi?id=1921440
  notification_emails:
    - glean-team@mozilla.com
    - jrediger@mozilla.com
    - loines@mozilla.com
  reasons:
    dirty_startup: |
      The ping was submitted at startup, because the application process was
      killed before the Glean SDK had the chance to generate this ping, before
      becoming inactive, in the last session.
    inactive: |
      The ping was submitted when becoming inactive.
    active: |
      The ping was submitted when the application became active again,
      which includes when the application starts.
